Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226319 - Merge Review: procps
Summary: Merge Review: procps
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: F9MergeReviewTarget
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:43 UTC by Nobody's working on this, feel free to take it
Modified: 2008-12-28 22:09 UTC (History)
6 users (show)

Fixed In Version: 3.2.7-22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-28 22:09:09 UTC
redhat: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:43:23 UTC
Fedora Merge Review: procps

http://cvs.fedora.redhat.com/viewcvs/devel/procps/
Initial Owner: kzak@redhat.com

Comment 1 Jason Tibbitts 2007-06-01 05:35:37 UTC
If someone's reviewing this, they should assign it to themselves and set the
state to ASSIGNED.  Otherwise the fedora-cvs flag should be cleared so it shows
up in the review queue.

Comment 2 Jason Tibbitts 2007-12-20 19:05:25 UTC
Given that there was no response, I went ahead and cleared the fedora-review flag.

Comment 3 Michael Schwendt 2008-01-10 13:35:42 UTC
* The files in the source tarball use the LGPLv2+ not just the GPLv2+.

* There's no reason why the %post scriptlet is not simply
%post -p /sbin/ldconfig

* From the build.log:
/usr/bin/strip: unable to copy file
'/home/qa/tmp/rpm/tmp/procps-3.2.7-17.fc8-root-qa/lib/libproc-3.2.7.so' reason:
Permission denied

That is because the lib is installed u-w and only later gets attr(0755,...).
Easy to fix at end of %install section.

* When you use "install" in the spec or modify the install
options, prefer "install -p ..." to preserve file timestamps.
Users appreciate it when the age of files in packages can be
seen, and e.g. documentation from several years ago does not
get a fresh timestamp as if it were new.

This is easy to fix in the make install line.


* All these can be fixed in CVS. Hence: APPROVED


Comment 4 Jason Tibbitts 2008-01-17 20:20:00 UTC
I don't see that any of these changes have been made in CVS, yet this package
has been approved.

Because we have a situation where many of the maintainers either do not see the
bugzilla notices (because the tickets are not assigned, because they get too
much bugspam already, or because the maintainer has changed since these tickets
were opened) or simply do not pay attention to the merge reviews, please do not
approve merge reviews until after you have verified that the changes are in CVS.
 It's not generally necessary to wait until the package is built and pushed to
rawhide; I usually just set the flags and close the ticket once I've seen the
changes in a checkout.

By the way, the licensing situation seems more complicated.  I see that free.c
is LGPLv2 only, most bits are LGPLv2+, kill.1 says in its comments GPLv2, top.1
is GFDL.  Ugh.

Comment 5 Michael Schwendt 2008-01-18 00:10:38 UTC
pgreg.c : GPL referring to the file COPYING (which is the GPLv2)

pwdx.c : LGPLv2


Comment 6 Tomas Smetana 2008-01-18 08:17:50 UTC
I have committed the suggested changes to the devel branch.

Comment 7 Michel Alexandre Salim 2008-01-25 18:21:54 UTC
Is this package's status supposed to be NEW, ASSIGNED, or CLOSED RAWHIDE?

Comment 8 Michael Schwendt 2008-07-16 22:22:05 UTC
Then somebody else re-review this and see whether LGPLv2 and
GPLv2 must be added to the licence tag (comment 5).
The GFDL is not a code licence.


Comment 9 Robert Scheck 2008-07-26 18:19:13 UTC
Tom, can you please clarify the licensing here? IMHO it should be "GPLv2 and 
GFDL", but I'm not so good with dealing such nasty licensing things ;-)

Comment 10 Tom "spot" Callaway 2008-07-28 13:56:01 UTC
You can list the GFDL if you want to. We're not requiring that the License tag
reflect packaged documentation unless it is the only thing in a package/subpackage.

As to the code license, it is up to you, but I would say that the combined work
as generated from the procps source is GPLv2 (the most restrictive of the
several GPL versions listed in the code bits). If you wanted to list GPLv2 and
LGPLv2 as the license, that would also be fine.

Comment 11 Robert Scheck 2008-12-28 22:09:09 UTC
The MUST changes have been applied to CVS some time ago already. The license 
stuff has been clarified by Tom some time ago and is in CVS acceptable, too.
Thanks to Michael, Jason, Tom and Tomas for their work: APPROVED.


Note You need to log in before you can comment on or make changes to this bug.